/*
    fonty.h - drawing text & font handling
    Copyright (C) 2007  Ch. Klippel <ck@mamalala.net>
	modified 2009 by H. Raap

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FONTY_H
#define FONTY_H

#include "global.h"

// The possible fonts
enum FONT {
	NO_FONT,
	SMALLFONT,
	MEDIUMFONT,
	BIGFONT
};

void init_font();
void set_font(enum FONT f);
uint8 draw_char(uint8 start_row, uint8 start_col, unsigned char ch, uint8 fg_col, uint8 bg_col, uint8 width);
int draw_text_space (char *s, int start_row, int start_col, int width, int height, int fg_col, int bg_col, int cnt);
void scroll(int start_col, int start_row, int width, int offset);
char *get_hex_digits(unsigned long v, char *s);
char *get_digits(unsigned int val, char *s, int z);

int str_len( char *s);
int strstart( char *s1, char *s2);
char *strn_cpy(char *dest, const char *src, int n);
char *strn_cat(char *dest, const char *src, int n);
char *str_cat_max(char *dest, const char *src, int n);
int strn_cpy_cmp(char *str1, char *str2, int n, int *length);
int atoi(const char *s);
void compose_string(char *newstr, char *oldstr, int num );
void compose_string2(char *newstr, char *oldstr, int num1, int num2 );
char *strchr(const char *s, int c);
void sec2hms(char *s, int sec);

void rand_seed(int s);
int rand(void);

#endif
