/*
    cc1100.h
    Copyright (C) 2007

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef cc1100_H
#define cc1100_H

#define MISO1			RST
#define MOSI1			OCB
#define SCK			OCC
#define CS			KB1
#define GDO0			KB6

#define WRITE			0x00
#define BURST			0x40
#define READ			0x80
#define TX_fifo			0x3F
#define RX_fifo			0x3F

#define SRES			0x30
#define SFSTXON			0x31
#define SXOFF			0x32
#define SCAL			0x33
#define SRX			0x34
#define STX 			0x35
#define SIDLE			0x36
#define SWOR			0x38
#define SPWD			0x39
#define SFRX			0x3A
#define SFTX			0x3B
#define SWORRST			0x3C
#define SNOP			0x3D
#define PATABLE			0x3E

// status register of the CC1100
#define MARCSTATE		0x35

// status register contents
#define MARCSTATE_IDLE		0x01

#define CC1100_VERSION		0x31


/* We can only send this many bytes at once over the radio link. 
	The address byte is included in this count, but not the length byte
	Make sure this is compatible with SMARTRF_SETTING_PKTLEN 
*/
#define MAX_PKTLEN	61

/* Our own device address */
#define DEV_ADDR	SMARTRF_SETTING_ADDR

void cc1100_init(void);
unsigned char cc1100_write(unsigned char addr, unsigned char* dat, unsigned char length);
unsigned char cc1100_write1(unsigned char addr, unsigned char dat);
unsigned char cc1100_read(unsigned char addr, unsigned char* dat, unsigned char lenght);
unsigned char cc1100_read1(unsigned char addr);
unsigned char cc1100_strobe(unsigned char cmd);
unsigned char spi_rw(unsigned char write);
void cc1100_getfifo(idata char* b);
unsigned char cc1100_single(unsigned char b,bit end);
void waitTX(void);
void sendWOR(unsigned char addr);
void switch_to_idle();
unsigned char cc1100_read_status_reg_otf(unsigned char reg);

#endif

